> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update tagging

>  

Use this endpoint to update a tagging.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml PUT /users/{user_guid}/taggings/{tagging_guid}
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/taggings/{tagging_guid}:
    put:
      tags:
        - taggings
      summary: Update tagging
      description: Use this endpoint to update a tagging.
      operationId: updateTagging
      parameters:
        - $ref: '#/components/parameters/taggingGuid'
        - $ref: '#/components/parameters/userGuid'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaggingUpdateRequestBody'
        description: Tagging object to be updated with required parameter (tag_guid)
        required: true
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/TaggingResponseBody'
          description: OK
components:
  parameters:
    taggingGuid:
      description: The unique id for a `tagging`.
      example: TGN-007f5486-17e1-45fc-8b87-8f03984430fe
      in: path
      name: tagging_guid
      required: true
      schema:
        type: string
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
  schemas:
    TaggingUpdateRequestBody:
      properties:
        tagging:
          $ref: '#/components/schemas/TaggingUpdateRequest'
      type: object
    TaggingResponseBody:
      properties:
        tagging:
          $ref: '#/components/schemas/TaggingResponse'
      type: object
    TaggingUpdateRequest:
      properties:
        tag_guid:
          example: TAG-40faf068-abb4-405c-8f6a-e883ed541fff
          type: string
      required:
        - tag_guid
      type: object
    TaggingResponse:
      properties:
        guid:
          example: TGN-007f5486-17e1-45fc-8b87-8f03984430fe
          nullable: true
          type: string
        member_is_managed_by_user:
          example: false
          nullable: true
          type: boolean
        tag_guid:
          example: TAG-40faf068-abb4-405c-8f6a-e883ed541fff
          nullable: true
          type: string
        transaction_guid:
          example: TRN-810828b0-5210-4878-9bd3-f4ce514f90c4
          nullable: true
          type: string
        user_guid:
          example: USR-11141024-90b3-1bce-cac9-c06ced52ab4c
          nullable: true
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````